Update ohauth and switch to using the new headerGenerator method
[rails.git] / Gemfile
1 # Gem source to use
2 source 'http://rubygems.org'
3
4 # Require rails
5 gem 'rails', '3.2.12'
6
7 # Require things which have moved to gems in ruby 1.9
8 gem 'bigdecimal', :platforms => :ruby_19
9
10 # Require the postgres database driver
11 gem 'pg'
12
13 # Load jquery support
14 gem 'jquery-rails'
15
16 # Load R2 for RTL conversion
17 gem 'r2'
18
19 # Load rails plugins
20 gem 'rails-i18n', ">= 0.6.3"
21 gem 'dynamic_form'
22 gem 'rinku', '>= 1.2.2', :require => 'rails_rinku'
23 gem 'oauth-plugin', '>= 0.4.1', :require => 'oauth-plugin'
24 gem 'open_id_authentication', '>= 1.1.0'
25 gem 'validates_email_format_of', '>= 1.5.1'
26 gem 'composite_primary_keys', '>= 5.0.10'
27 gem 'http_accept_language', '>= 1.0.2'
28 gem 'paperclip', '~> 2.0'
29 gem 'deadlock_retry', '>= 1.2.0'
30 gem 'i18n-js', '>= 3.0.0.rc2'
31 gem 'rack-cors'
32 gem 'jsonify-rails'
33
34 # We need ruby-openid 2.2.0 or later for ruby 1.9 support
35 gem 'ruby-openid', '>= 2.2.0'
36
37 # Markdown formatting support
38 gem 'redcarpet'
39
40 # Character conversion support for ruby 1.8
41 gem 'iconv', '= 0.1', :platforms => :ruby_18
42
43 # Load libxml support for XML parsing and generation
44 gem 'libxml-ruby', '>= 2.0.5', :require => 'libxml'
45
46 # Use for HTML sanitisation
47 gem 'sanitize'
48 gem 'htmlentities'
49
50 # Load SystemTimer for implementing request timeouts
51 gem 'SystemTimer', '>= 1.1.3', :require => 'system_timer', :platforms => :ruby_18
52
53 # Load httpclient for SOAP support for Quova GeoIP queries
54 gem 'httpclient'
55
56 # Load memcache in case we are using it
57 gem 'memcached', '>= 1.4.1'
58
59 # Gems needed for running tests
60 group :test do
61   gem 'timecop'
62   gem 'minitest', :platforms => :ruby_19
63 end
64
65 # Gems needed for compiling assets
66 group :assets do
67   gem 'sass-rails', '~> 3.2.3'
68   gem 'coffee-rails', '~> 3.2.1'
69   gem 'uglifier', '>= 1.0.3'
70   gem 'therubyracer', '~> 0.10.2'
71   gem 'ejs'
72 end